python/python-vulndb: Switch to i586.

Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
Brenton Earl 2016-12-18 23:36:20 +07:00 committed by Willy Sudiarto Raharjo
parent ee86361fec
commit 5dd77495fd
No known key found for this signature in database
GPG key ID: 887B8374D7333381
2 changed files with 21 additions and 14 deletions

View file

@ -1,10 +1,11 @@
Removes git commits to vulndb since it seems to be broken
Tracks vulndb repository in /tmp/vulndb_data
--- vulndb-0.0.19.orig/tools/update-db.sh 2015-11-17 22:47:34.506772912 -0700
+++ vulndb-0.0.19/tools/update-db.sh 2015-11-17 22:54:12.818745899 -0700
@@ -5,25 +5,13 @@
--- vulndb-0.0.19.orig/tools/update-db.sh 2016-12-17 22:06:14.959661248 +0000
+++ vulndb-0.0.19/tools/update-db.sh 2016-12-17 22:26:36.641608883 +0000
@@ -1,29 +1,23 @@
#!/usr/bin/env bash
-set -x
+set -xe
#
# Update the database
#
@ -30,9 +31,14 @@ Tracks vulndb repository in /tmp/vulndb_data
-cd data
-git rev-parse HEAD > ../vulndb/db-version.txt
-cd ..
-
+if [ -d "/usr/lib64" ]; then
+ cp -rf /tmp/vulndb_data/db/*.json /usr/lib64/python2.7/site-packages/vulndb/db/
+else
+ cp -rf /tmp/vulndb_data/db/*.json /usr/lib/python2.7/site-packages/vulndb/db/
+fi
-# Push to repo
-git commit vulndb/db/ vulndb/version.txt vulndb/db-version.txt -m 'Updated vulnerability database'
-git push
\ No newline at end of file
+cp -rf /tmp/vulndb_data/db/*.json /usr/lib64/python2.7/site-packages/vulndb/db/
+rm -r /tmp/vulndb_data

View file

@ -2,7 +2,7 @@
# Slackware build script for python-vulndb
# Copyright 2015 Brenton Earl <brent@exitstatusone.com>
# Copyright 2015-2016 Brenton Earl <brent@exitstatusone.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@ -30,7 +30,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@ -41,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@ -73,7 +73,8 @@ find -L . \
# Removes git commit to vulndb/data.git since it seems to be
# broken. Tracks vulndb/data.git in /tmp/vulndb_data
# After Vulndb is downloaded it is copied to:
# /usr/lib64/python2.7/site-packages/vulndb/db/
# /usr/lib64/python2.7/site-packages/vulndb/db/ or
# /usr/lib/python2.7/site-packages/vulndb/db/
patch -p1 --verbose < $CWD/do-not-commit-vulndb-to-upstream.diff
python setup.py install --root=$PKG